| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Attributes | List of all members
Digikam::SharpContainer Class Reference

## Public Types
enum | SharpingMethods { SimpleSharp = 0 , UnsharpMask , Refocus }

## Public Attributes
int | method = SimpleSharp
| Store SharpingMethods value.
double | rfCorrelation = 0.5
double | rfGauss = 0.0
int | rfMatrix = 5
double | rfNoise = 0.03
double | rfRadius = 1.0
| Refocus.
int | ssRadius = 0
| Simple sharp.
double | umAmount = 1.0
bool | umLumaOnly = false
double | umRadius = 1.0
| Unsharp mask.
double | umThreshold = 0.05